SDL_RenderCoordinatesToWindow(3)

NAME
SDL_RenderCoordinatesToWindow - Get a point in window coordinates when given a point in render coordinates.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_RenderCoordinatesToWindow(SDL_Renderer *renderer, float x, float y, float *window_x, float *window_y);

DESCRIPTION
This takes into account several states:

• The window dimensions.

• The logical presentation settings
  ( SDL_SetRenderLogicalPresentation )

• The scale ( SDL_SetRenderScale )

• The viewport ( SDL_SetRenderViewport )

FUNCTION PARAMETERS

renderer
    the rendering context.

x   the x coordinate in render coordinates.

y   the y coordinate in render coordinates.

window_x
    a pointer filled with the x coordinate in window coordinates.

window_y
    a pointer filled with the y coordinate in window coordinates.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetRenderLogicalPresentation(3), •(3), SDL_SetRenderScale(3), •(3), SDL_SetRenderViewport(3)